package net.northking.cctp.element.datetime.enums;

import com.alibaba.fastjson.JSON;
import net.northking.cctp.element.core.type.EnumClass;

import java.util.*;

/**
 * TypeConversionEnum
 *
 * @author fengxiang.zhang
 * @since 1.0
 */
public enum TypeConversionEnum implements EnumClass {
    String2Date("字符串转日期", "0"),
    TimeStamp2Date("时间戳转日期", "1"),
    ;

    private String key;
    private String value;

    TypeConversionEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public static TypeConversionEnum from(String value) {
        for (TypeConversionEnum item : TypeConversionEnum.values()) {
            if (item.value.equals(value)) {
                return item;
            }
        }
        throw new IllegalArgumentException("未知的转换类型:" + value);
    }

    @Override
    public String getEnumData() {
        List<Map<String, Object>> result = new ArrayList<>();
        for (TypeConversionEnum item : EnumSet.allOf(TypeConversionEnum.class)) {
            Map<String, Object> one = new HashMap(1);
            one.put("label", item.key);
            one.put("value", item.value);
            result.add(one);
        }
        return JSON.toJSONString(result);
    }
}
